Delete source
DELETE
/api/sources/{sourceId}
const url = 'https://firma.company-gpt.com/companygpt/rag/api/api/sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://firma.company-gpt.com/companygpt/rag/api/api/sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Deletes the source together with all files of this source. A delete job is queued for every file of the source (its index entries, embeddings and stored content are removed), then the source configuration is deleted. Requires write access to its collection (or, for orphaned sources, being the creator).
Authorizations
Abschnitt betitelt „Authorizations“Parameters
Abschnitt betitelt „Parameters“Path Parameters
Abschnitt betitelt „Path Parameters“sourceId
required
string format: uuid
Responses
Abschnitt betitelt „Responses“Source deleted
Invalid source ID
Unauthorized
Caller does not have permission to delete this source
Source not found
Server error